Skip to content

Update security Grp

PUT
/api/v1/security_group/{security_grp_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/security_group/{security_grp_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "testing",
"description": "",
"rules": [
{
"id": 351529,
"rule_type": "Outbound",
"protocol_name": "All",
"port_range": "All",
"network": "any",
"network_cidr": "--",
"network_size": 1,
"vpc_id": null
}
]
}'
security_grp_id
required
string

Security Grp Id

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
name
string

Example

testing
description
string

Example

rules
Array<object>
object
id
integer

Example

351529
rule_type
string

Example

Outbound
protocol_name
string

Example

All
port_range
string

Example

All
network
string

Example

any
network_cidr
string

Example

--
network_size
integer

Example

1
vpc_id
string
nullable

Example

null

Successful response indicating the security group was updated

Media typeapplication/json
object
code
integer
data
string
errors
object
message
string

Example

{
"code": 200,
"data": "",
"errors": {},
"message": "Security Group updated successfully."
}